Package org.springframework.context.annotation

# Enum Class EnableLoadTimeWeaving.AspectJWeaving

java.lang.Object
java.lang.Enum<EnableLoadTimeWeaving.AspectJWeaving>
org.springframework.context.annotation.EnableLoadTimeWeaving.AspectJWeaving

All Implemented Interfaces:
  `Serializable`, `Comparable<EnableLoadTimeWeaving.AspectJWeaving>`, `Constable`

Enclosing class:
  EnableLoadTimeWeaving

public static enum EnableLoadTimeWeaving.AspectJWeaving extends Enum<EnableLoadTimeWeaving.AspectJWeaving>
AspectJ weaving enablement options.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUTODETECT`
Switches on AspectJ load-time weaving if a "META-INF/aop.xml" resource is present in the classpath.
`DISABLED`
Switches off Spring-based AspectJ load-time weaving (even if a "META-INF/aop.xml" resource is present on the classpath).
`ENABLED`
Switches on Spring-based AspectJ load-time weaving.

## Method Summary

Modifier and Type
Method
Description
`static EnableLoadTimeWeaving.AspectJWeaving`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EnableLoadTimeWeaving.AspectJWeaving[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ENABLED

public static final EnableLoadTimeWeaving.AspectJWeaving ENABLED
Switches on Spring-based AspectJ load-time weaving.

### DISABLED

public static final EnableLoadTimeWeaving.AspectJWeaving DISABLED
Switches off Spring-based AspectJ load-time weaving (even if a "META-INF/aop.xml" resource is present on the classpath).

### AUTODETECT

public static final EnableLoadTimeWeaving.AspectJWeaving AUTODETECT
Switches on AspectJ load-time weaving if a "META-INF/aop.xml" resource is present in the classpath. If there is no such resource, then AspectJ load-time weaving will be switched off.

## Method Details

### values

public static EnableLoadTimeWeaving.AspectJWeaving[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EnableLoadTimeWeaving.AspectJWeaving valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null